{
  "scripts": {
    "env:dev": "set ASPNETCORE_ENVIRONMENT=Development",
    "env:prod": "set ASPNETCORE_ENVIRONMENT=Production",
    "start": "npm run env:dev && dotnet run",
    "start:prod": "npm run env:prod && dotnet run",
    "dbcontext:crm": "dotnet ef dbcontext scaffold \"Server=.;Database=CMSBigNet_CRM;Trusted_Connection=True;uid=sa;pwd=123456\" Microsoft.EntityFrameworkCore.SqlServer --output-dir  Areas/Crm/ModelsCrm -f",
    "dbcontext:dlx": "dotnet ef dbcontext scaffold \"Server=./MSSQLSERVER2017;Database=RaoVat;Trusted_Connection=True;uid=sa;pwd=123abc!!!\" Microsoft.EntityFrameworkCore.SqlServer --output-dir  Areas/RaoVat/ModelsRaoVat -f",
    "dbcontext:atn": "dotnet ef dbcontext scaffold \"Server=.;Database=CMSBigNet_RaoVat_AutoNews;Trusted_Connection=True;uid=sa;pwd=123456\" Microsoft.EntityFrameworkCore.SqlServer --output-dir  Areas/AutoNews/ModelsAutoNews -f",
    "dbcontext:dlxsupport": "dotnet ef dbcontext scaffold \"Server=.;Database=RaoVatSupport;Trusted_Connection=True;uid=sa;pwd=123456\" Microsoft.EntityFrameworkCore.SqlServer --output-dir  Areas/RaoVatSupport/ModelsRaoVatSupport -f",
    "dbcontext": "dotnet ef dbcontext scaffold \"Server=192.168.11.86;Database=RaoVat;User ID=sa;Password=30091992qQ!\" Microsoft.EntityFrameworkCore.SqlServer --output-dir  Areas/RaoVat/ModelsRaoVat -f",
    "dbcontextpostgres": "dotnet ef dbcontext scaffold \"Server=192.168.11.3;Port=5432;Database=raovat;Username=postgres;Password=@dlx2019$\" Npgsql.EntityFrameworkCore.PostgreSQL --output-dir Areas/RaoVat/ModelsRaoVat -f",
    "dbserver16stg": "dotnet ef dbcontext scaffold \"Server=171.244.35.196;Port=32664;Database=stg_raovat;Username=postgres;Password=DAilyxe2019\" Npgsql.EntityFrameworkCore.PostgreSQL --output-dir Areas/RaoVat/ModelsRaoVat -f",
    "dbserver16stg_history": "dotnet ef dbcontext scaffold \"Server=171.244.35.196;Port=30008;Database=raovat_history;Username=postgres;Password=DAilyxe2019\" Npgsql.EntityFrameworkCore.PostgreSQL --output-dir Areas/RaoVat_History/ModelsRaoVat -f",
    "publish": "dotnet publish -c Release",
    "docker:build": "docker build -t vncomdailyxe/raovatapi:dev -f Dockerfile .",
    "docker:push": "docker push vncomdailyxe/raovatapi:dev",
    "docker:builddev2": "docker build -t vncomdailyxe/raovatapi:dev2 -f Dockerfiledev2 .",
    "docker:pushdev2": "docker push vncomdailyxe/raovatapi:dev2",
    "docker:buildprod": "docker build -t vncomdailyxe/raovatapi:prod_latest -f Dockerfileprodlive .",
    "docker:pushprod": "docker push vncomdailyxe/raovatapi:prod_latest",
    "docker:stackdeploy_redis": "'chu y dung tai khoan bitnami_postgresql (1001)'docker stack deploy -c /home/bitnami_postgresql/stage/raovat/data/nfsshare/compose/docker-compose-redis-stage.yml --with-registry-auth stageraovat",
    "docker:stackdeploy_postgres_master": "'chu y dung tai khoan bitnami_postgresql' docker stack deploy -c /home/bitnami_postgresql/stage/raovat/data/nfsshare/compose/docker-compose-postgresmaster.yml --with-registry-auth stageraovat",
    "docker:stackdeploy_postgres_slave": "'chu y dung tai khoan bitnami_postgresql' docker stack deploy -c /home/bitnami_postgresql/stage/raovat/data/nfsshare/compose/docker-compose-postgresslave.yml --with-registry-auth stageraovat",
    "docker:stackdeploy_raovatapi": "docker stack deploy -c /home/stage/raovat/data/nfsshare/compose/docker-compose-raovatapi-stage.yml --with-registry-auth stageraovat",
    "docker:stackdeploy_raovatapi_2": "docker stack deploy -c /home/stage/raovat/data/nfsshare/compose/docker-compose-raovatapi-stage-5007.yml --with-registry-auth stageraovat2",
    "docker:stackdeploy_redismaster_prod": "'chu y dung tai khoan bitnami_postgresql (1001)'docker stack deploy -c /home/bitnami_postgresql/prod/raovat/data/nfsshare/compose/docker-compose-redismaster.yml --with-registry-auth prodraovat",
    "docker:stackdeploy_postgres_master_prod": "'chu y dung tai khoan bitnami_postgresql' docker stack deploy -c /home/bitnami_postgresql/prod/raovat/data/nfsshare/compose/docker-compose-postgresmaster.yml --with-registry-auth prodraovat",
    "docker:stackdeploy_postgres_slave_prod": "'chu y dung tai khoan bitnami_postgresql' docker stack deploy -c /home/bitnami_postgresql/prod/raovat/data/nfsshare/compose/docker-compose-postgresslave.yml --with-registry-auth prodraovat",
    "docker:stackdeploy_raovatapi_prod": "docker stack deploy -c /home/prod/raovat/data/nfsshare/compose/docker-compose-raovatapi.yml --with-registry-auth prodraovat",
    "docker:stackdeploynginx_common": "docker stack deploy -c /home/prod/raovat/data/nfsshare/compose/docker-compose-nginx-commonnetwork.yml --with-registry-auth common",
    "kube:buildprod": "docker build -t vncomdailyxe/kube_raovatapi:prod_latest -f Dockerfileprodlive .",
    "kube:pushprod": "docker push vncomdailyxe/kube_raovatapi:prod_latest"
  }
}
